libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Classes | Namespaces
interpolator.h File Reference

Helper class for linear interpolating a set of objects. More...

`#include <algorithm>`
`#include <cmath>`
`#include <map>`
`#include <string>`
`#include <tuple>`
`#include <libcamera/base/log.h>`
`#include "libcamera/internal/yaml_parser.h"`
Include dependency graph for interpolator.h:

Go to the source code of this file.

## Classes
class | libcamera::ipa::Interpolator< T >
| Class for storing, retrieving, and interpolating objects. More...

## Namespaces
namespace | libcamera
| Top-level libcamera namespace.
namespace | libcamera::ipa
| The IPA (Image Processing Algorithm) namespace.

## Detailed Description

Helper class for linear interpolating a set of objects.